aboutsummaryrefslogtreecommitdiff
path: root/databases/mongodb/pkg-install
diff options
context:
space:
mode:
Diffstat (limited to 'databases/mongodb/pkg-install')
-rw-r--r--databases/mongodb/pkg-install43
1 files changed, 0 insertions, 43 deletions
diff --git a/databases/mongodb/pkg-install b/databases/mongodb/pkg-install
deleted file mode 100644
index 3faf828e0b3c..000000000000
--- a/databases/mongodb/pkg-install
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/sh
-# $FreeBSD$
-#
-
-if [ "$2" != "PRE-INSTALL" ]; then
- exit 0
-fi
-
-USER=mongodb
-GROUP=${USER}
-UID=922
-GID=${UID}
-DBDIR=/var/db/mongodb
-
-#touch ${PREFIX}/etc/mongodb.conf
-
-if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
- if pw groupadd ${GROUP} -g ${GID}; then
- echo "Added group \"${GROUP}\"."
- else
- echo "Adding group \"${GROUP}\" failed..."
- exit 1
- fi
-fi
-
-if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
- if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
- -s "/bin/sh" -d "/var/db/mongodb" \
- -c "mongodb pseudo-user"; \
- then
- echo "Added user \"${USER}\"."
- if [ ! -d ${DBDIR} ]
- then
- echo "Creating \"${DBDIR}\"."
- mkdir ${DBDIR}
- chown ${USER}:${GROUP} ${DBDIR}
- fi
- else
- echo "Adding user \"${USER}\" failed..."
- exit 1
- fi
-fi
-exit 0